/**
 * @file
 * Google One Tap behaviors.
 */

(function ($, Drupal) {

  'use strict';

  /**
   * Behavior description.
   */
  Drupal.behaviors.googleOneTap = {
    attach: function (context, settings) {
      window.onGoogleYoloLoad = (googleyolo) => {

        // The 'googleyolo' object is ready for use.
        googleyolo
            .hint(settings['google_one_tap'])
            .then(
                (credential) => {
                    $.ajax({
                      url: Drupal.url('google-one-tap/login?_format=json'),
                      type: 'POST',
                      data: credential,
                      dataType: 'json',
                      success: function (xssFilteredValue) {
                        window.location.reload();
                      },
                      error: function (xssFilteredValue) {
                        alert(Drupal.t('One Tap Sign-In Failed'));
                        console.log(xssFilteredValue);
                      }
                    });
                },
                (error) => { console.log(error.type); }
                );
      };
    }
  };

} (jQuery, Drupal));
